Alembic Version 1.1

Public Member Functions | Friends | List of all members
Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp Class Reference

FilmBack Xform Operation This class holds the data about a particular transform operation, but does not hold the actual data to calculate a 3x3 matrix. It holds the type of operation (Translate, Scale, Matrix), a hint about the type which can be interpreted by packages like Maya, and what particular parts of the operations can change over time. More...

`#include <FilmBackXformOp.h>`

## Public Member Functions
| FilmBackXformOp ()
| FilmBackXformOp (const FilmBackXformOperationType iType, const std::string &iHint)
FilmBackXformOperationType | getType () const
| Get the type of transform operation. (Translate, Scale, Matrix) More...
std::string | getHint () const
std::string | getTypeAndHint () const
std::size_t | getNumChannels () const
double | getChannelValue (std::size_t iIndex) const
void | setChannelValue (std::size_t iIndex, double iVal)
void | setTranslate (const Abc::V2d &iTrans)
void | setScale (const Abc::V2d &iScale)
void | setMatrix (const Abc::M33d &iMatrix)
Abc::V2d | getTranslate () const
Abc::V2d | getScale () const
Abc::M33d | getMatrix () const
bool | isTranslateOp () const
bool | isScaleOp () const
bool | isMatrixOp () const

## Friends
class | ICameraSchema

## Detailed Description

FilmBack Xform Operation This class holds the data about a particular transform operation, but does not hold the actual data to calculate a 3x3 matrix. It holds the type of operation (Translate, Scale, Matrix), a hint about the type which can be interpreted by packages like Maya, and what particular parts of the operations can change over time.

Definition at line 53 of file FilmBackXformOp.h.

## Constructor & Destructor Documentation

## ◆ FilmBackXformOp() [1/2]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::FilmBackXformOp | ( |  | ) |

## ◆ FilmBackXformOp() [2/2]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::FilmBackXformOp | ( | const FilmBackXformOperationType | iType,
|  | const std::string & | iHint
| ) |  |

## Member Function Documentation

## ◆ getChannelValue()

double Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::getChannelValue | ( | std::size_t | iIndex | ) | const

Get a single channel, 0 will be returned if iIndex is greater than numChannels - 1

## ◆ getHint()

std::string Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::getHint | ( |  | ) | const

Get the hint to help disambiguate certain options that may have the same type.

## ◆ getMatrix()

Abc::M33d Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::getMatrix | ( |  | ) | const

## ◆ getNumChannels()

std::size_t Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::getNumChannels | ( |  | ) | const

Get the number of components that this operation has based on the type. Translate and Scale have 2, and Matrix has 9.

## ◆ getScale()

Abc::V2d Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::getScale | ( |  | ) | const

## ◆ getTranslate()

Abc::V2d Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::getTranslate | ( |  | ) | const

## ◆ getType()

FilmBackXformOperationType Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::getType | ( |  | ) | const

Get the type of transform operation. (Translate, Scale, Matrix)

## ◆ getTypeAndHint()

std::string Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::getTypeAndHint | ( |  | ) | const

Get the type and hint, where the first character is the type (t for translate, s for scale, m for matrix) and the rest of the returned string is the optional hint value.

## ◆ isMatrixOp()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::isMatrixOp | ( |  | ) | const

## ◆ isScaleOp()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::isScaleOp | ( |  | ) | const

## ◆ isTranslateOp()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::isTranslateOp | ( |  | ) | const

## ◆ setChannelValue()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::setChannelValue | ( | std::size_t | iIndex,
|  | double | iVal
| ) |  |

Set a single channel; nothing will be set if iIndex is greater than numChannels - 1.

## ◆ setMatrix()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::setMatrix | ( | const Abc::M33d & | iMatrix | ) |

## ◆ setScale()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::setScale | ( | const Abc::V2d & | iScale | ) |

## ◆ setTranslate()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::setTranslate | ( | const Abc::V2d & | iTrans | ) |

## Friends And Related Function Documentation

## ◆ ICameraSchema

friend class ICameraSchema
| friend

Definition at line 103 of file FilmBackXformOp.h.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcGeom/FilmBackXformOp.h